xcb_lookup_color(3)

NAME
xcb_lookup_color -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_lookup_color_cookie_t xcb_lookup_color(xcb_connection_t *conn, xcb_colormap_t cmap, uint16_t name_len, const char *name);

  Reply datastructure

typedef struct xcb_lookup_color_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint16_t exact_red;
    uint16_t exact_green;
    uint16_t exact_blue;
    uint16_t visual_red;
    uint16_t visual_green;
    uint16_t visual_blue;
} xcb_lookup_color_reply_t;

  Reply function

xcb_lookup_color_reply_t *xcb_lookup_color_reply(xcb_connection_t *conn, xcb_lookup_color_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

cmap
    TODO: NOT YET DOCUMENTED.

name_len
    TODO: NOT YET DOCUMENTED.

name
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_LOOKUP_COLOR. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

exact_red
    TODO: NOT YET DOCUMENTED.

exact_green
    TODO: NOT YET DOCUMENTED.

exact_blue
    TODO: NOT YET DOCUMENTED.

visual_red
    TODO: NOT YET DOCUMENTED.

visual_green
    TODO: NOT YET DOCUMENTED.

visual_blue
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_lookup_color_cookie_t. Errors have to be handled when calling the reply function xcb_lookup_color_reply. If you want to handle errors in the event loop instead, use xcb_lookup_color_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.